Moje zespo艂y
GET https://qrcodemonkey.net/api/teams/
curl --request GET \
--url 'https://qrcodemonkey.net/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
| Parametry | Szczeg贸艂y | Opis |
|---|---|---|
| search | Opcjonalny Ci膮g | Ci膮g wyszukiwania. |
| search_by | Opcjonalny Ci膮g | Jakiego pola szukasz? Dozwolone warto艣ci to: name. |
| order_by | Opcjonalny Ci膮g | Wed艂ug jakiego pola uporz膮dkowa膰 wyniki. Dozwolone warto艣ci to: team_id , datetime , last_datetime , name. |
| order_type | Opcjonalny Ci膮g | Kolejno艣膰 wynik贸w. Dozwolone warto艣ci to: ASC dla porz膮dku rosn膮cego i DESC dla porz膮dku malej膮cego. |
| page | Opcjonalny Liczba ca艂kowita | Numer strony, z kt贸rej chcesz uzyska膰 wyniki. Domy艣lnie 1. |
| results_per_page | Opcjonalny Liczba ca艂kowita | Ile wynik贸w chcesz na stron臋. Dozwolone warto艣ci to: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Domy艣lnie 25. |
{
"data": [
{
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "[email protected]",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-03-31 23:44:11",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-03-31 23:44:11",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcodemonkey.net/api/teams?page=1",
"last": "https://qrcodemonkey.net/api/teams?page=1",
"next": null,
"prev": null,
"self": "https://qrcodemonkey.net/api/teams?page=1"
}
}
GET https://qrcodemonkey.net/api/teams/{team_id}
curl --request GET \
--url 'https://qrcodemonkey.net/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "[email protected]",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-03-31 23:44:11",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-03-31 23:44:11",
}
}
POST https://qrcodemonkey.net/api/teams
| Parametry | Szczeg贸艂y | Opis |
|---|---|---|
| name | Wymagane Ci膮g | - |
curl --request POST \
--url 'https://qrcodemonkey.net/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
--url 'https://qrcodemonkey.net/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
{
"data": {
"id": 1
}
}
POST https://qrcodemonkey.net/api/teams/{team_id}
| Parametry | Szczeg贸艂y | Opis |
|---|---|---|
| name | Opcjonalny Ci膮g | - |
curl --request POST \
--url 'https://qrcodemonkey.net/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
--url 'https://qrcodemonkey.net/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
{
"data": {
"id": 1
}
}
DELETE https://qrcodemonkey.net/api/teams/{team_id}
curl --request DELETE \
--url 'https://qrcodemonkey.net/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \